Index: src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 2663)
@@ -44,6 +44,7 @@
 import java.util.Stack;
 import java.util.Vector;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 
@@ -166,6 +167,8 @@
 
     private static final String RELATION = "Provides info for";
 
+    private Logger logMetacat = Logger.getLogger(Eml210SAXHandler.class);   	   	
+
     /**
      * Construct an instance of the handler class In this constructor, user can
      * specify the version need to upadate
@@ -225,14 +228,14 @@
                 // Get a subtree without node record list
                 SubTree treeWithoutStack = (SubTree) en.nextElement();
                 String subTreeId = treeWithoutStack.getSubTreeId();
-                MetaCatUtil.debugMessage(
-                        "unchangable subtree id: " + subTreeId, 40);
+                logMetacat.info(
+                        "unchangable subtree id: " + subTreeId);
                 long startNodeId = treeWithoutStack.getStartNodeId();
-                MetaCatUtil.debugMessage("unchangable subtree startnodeid: "
-                        + startNodeId, 40);
+                logMetacat.info("unchangable subtree startnodeid: "
+                        + startNodeId);
                 long endNodeId = treeWithoutStack.getEndNodeId();
-                MetaCatUtil.debugMessage("unchangable subtree endnodeid: "
-                        + endNodeId, 40);
+                logMetacat.info("unchangable subtree endnodeid: "
+                        + endNodeId);
                 // Get a subtree has the nodelist
                 SubTree tree = new SubTree(docid, subTreeId, startNodeId,
                         endNodeId);
@@ -316,9 +319,9 @@
         // for element <eml:eml...> qname is "eml:eml", local name is "eml"
         // for element <acl....> both qname and local name is "eml"
         // uri is namesapce
-        MetaCatUtil.debugMessage("Start ELEMENT(qName) " + qName, 50);
-        MetaCatUtil.debugMessage("Start ELEMENT(localName) " + localName, 50);
-        MetaCatUtil.debugMessage("Start ELEMENT(uri) " + uri, 50);
+        logMetacat.info("Start ELEMENT(qName) " + qName);
+        logMetacat.info("Start ELEMENT(localName) " + localName);
+        logMetacat.info("Start ELEMENT(uri) " + uri);
 
         DBSAXNode parentNode = null;
         DBSAXNode currentNode = null;
@@ -402,13 +405,13 @@
                     } else {
                         doctype = docname;
                     }
-                    MetaCatUtil.debugMessage("DOCNAME-a: " + docname, 30);
-                    MetaCatUtil.debugMessage("DOCTYPE-a: " + doctype, 30);
+                    logMetacat.info("DOCNAME-a: " + docname);
+                    logMetacat.info("DOCTYPE-a: " + doctype);
                 } else if (doctype == null) {
                     // because docname is not null and it is declared in dtd
                     // so could not be in schema, no namespace
                     doctype = docname;
-                    MetaCatUtil.debugMessage("DOCTYPE-b: " + doctype, 30);
+                    logMetacat.info("DOCTYPE-b: " + doctype);
                 }
                 rootNode.writeNodename(docname);
                 try {
@@ -683,8 +686,8 @@
             inlineDataNameSpace = null;
             inlineDataNameSpace = new Hashtable();
             //write inline data into file
-            MetaCatUtil.debugMessage("the inline element data is: "
-                    + inlineElements.toString(), 50);
+            logMetacat.info("the inline element data is: "
+                    + inlineElements.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineElements);
         }//else
 
@@ -699,20 +702,18 @@
         try {
             elementNode = (NodeRecord) unchangableNodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil
-                    .debugMessage("Node stack is empty for element data", 35);
+            logMetacat.error("Node stack is empty for element data");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage("current node type from xml is ELEMENT", 40);
-        MetaCatUtil.debugMessage("node type from stack: "
-                + elementNode.getNodeType(), 40);
-        MetaCatUtil.debugMessage("node name from xml document: " + localName,
-                40);
-        MetaCatUtil.debugMessage("node name from stack: "
-                + elementNode.getNodeName(), 40);
-        MetaCatUtil.debugMessage("node data from stack: "
-                + elementNode.getNodeData(), 40);
-        MetaCatUtil.debugMessage("node id is: " + elementNode.getNodeId(), 40);
+        logMetacat.info("current node type from xml is ELEMENT");
+        logMetacat.info("node type from stack: "
+                + elementNode.getNodeType());
+        logMetacat.info("node name from xml document: " + localName);
+        logMetacat.info("node name from stack: "
+                + elementNode.getNodeName());
+        logMetacat.info("node data from stack: "
+                + elementNode.getNodeData());
+        logMetacat.info("node id is: " + elementNode.getNodeId());
         // if this node is not element or local name not equal or name space
         // not
         // equals, throw an exception
@@ -720,19 +721,17 @@
                 || !localName.equals(elementNode.getNodeName()))
         //  (uri != null && !uri.equals(elementNode.getNodePrefix())))
         {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage("current node type from xml is ELEMENT",
-                    40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + elementNode.getNodeType(), 40);
-            MetaCatUtil.debugMessage("node name from xml document: "
-                    + localName, 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + elementNode.getNodeName(), 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + elementNode.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node id is: " + elementNode.getNodeId(),
-                    40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info("current node type from xml is ELEMENT");
+            logMetacat.info("node type from stack: "
+                    + elementNode.getNodeType());
+            logMetacat.info("node name from xml document: "
+                    + localName);
+            logMetacat.info("node name from stack: "
+                    + elementNode.getNodeName());
+            logMetacat.info("node data from stack: "
+                    + elementNode.getNodeData());
+            logMetacat.info("node id is: " + elementNode.getNodeId());
             throw new SAXException(error);
         }
 
@@ -744,8 +743,8 @@
             try {
                 nameNode = (NodeRecord) unchangableNodeStack.pop();
             } catch (EmptyStackException ee) {
-                MetaCatUtil.debugMessage(
-                        "Node stack is empty for namespace data", 35);
+                logMetacat.error(
+                        "Node stack is empty for namespace data");
                 throw new SAXException(error);
             }
 
@@ -754,21 +753,20 @@
             if (!nameNode.getNodeType().equals("NAMESPACE")
                     || !prefixName.equals(nameNode.getNodeName())
                     || !nameSpaceUri.equals(nameNode.getNodeData())) {
-                MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-                MetaCatUtil.debugMessage(
-                        "current node type from xml is NAMESPACE", 40);
-                MetaCatUtil.debugMessage("node type from stack: "
-                        + nameNode.getNodeType(), 40);
-                MetaCatUtil.debugMessage("current node name from xml is: "
-                        + prefixName, 40);
-                MetaCatUtil.debugMessage("node name from stack: "
-                        + nameNode.getNodeName(), 40);
-                MetaCatUtil.debugMessage("current node data from xml is: "
-                        + nameSpaceUri, 40);
-                MetaCatUtil.debugMessage("node data from stack: "
-                        + nameNode.getNodeData(), 40);
-                MetaCatUtil.debugMessage("node id is: " + nameNode.getNodeId(),
-                        40);
+                logMetacat.info("Inconsistence happend: ");
+                logMetacat.info(
+                        "current node type from xml is NAMESPACE");
+                logMetacat.info("node type from stack: "
+                        + nameNode.getNodeType());
+                logMetacat.info("current node name from xml is: "
+                        + prefixName);
+                logMetacat.info("node name from stack: "
+                        + nameNode.getNodeName());
+                logMetacat.info("current node data from xml is: "
+                        + nameSpaceUri);
+                logMetacat.info("node data from stack: "
+                        + nameNode.getNodeData());
+                logMetacat.info("node id is: " + nameNode.getNodeId());
                 throw new SAXException(error);
             }
 
@@ -781,45 +779,43 @@
                 attriNode = (NodeRecord) unchangableNodeStack.pop();
 
             } catch (EmptyStackException ee) {
-                MetaCatUtil.debugMessage(
-                        "Node stack is empty for attribute data", 35);
+                logMetacat.error(
+                        "Node stack is empty for attribute data");
                 throw new SAXException(error);
             }
             String attributeName = attributes.getQName(i);
             String attributeValue = attributes.getValue(i);
-            MetaCatUtil.debugMessage(
-                    "current node type from xml is ATTRIBUTE ", 40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + attriNode.getNodeType(), 40);
-            MetaCatUtil.debugMessage("current node name from xml is: "
-                    + attributeName, 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + attriNode.getNodeName(), 40);
-            MetaCatUtil.debugMessage("current node data from xml is: "
-                    + attributeValue, 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + attriNode.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node id  is: " + attriNode.getNodeId(),
-                    40);
+            logMetacat.info(
+                    "current node type from xml is ATTRIBUTE ");
+            logMetacat.info("node type from stack: "
+                    + attriNode.getNodeType());
+            logMetacat.info("current node name from xml is: "
+                    + attributeName);
+            logMetacat.info("node name from stack: "
+                    + attriNode.getNodeName());
+            logMetacat.info("current node data from xml is: "
+                    + attributeValue);
+            logMetacat.info("node data from stack: "
+                    + attriNode.getNodeData());
+            logMetacat.info("node id  is: " + attriNode.getNodeId());
 
             if (!attriNode.getNodeType().equals("ATTRIBUTE")
                     || !attributeName.equals(attriNode.getNodeName())
                     || !attributeValue.equals(attriNode.getNodeData())) {
-                MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-                MetaCatUtil.debugMessage(
-                        "current node type from xml is ATTRIBUTE ", 40);
-                MetaCatUtil.debugMessage("node type from stack: "
-                        + attriNode.getNodeType(), 40);
-                MetaCatUtil.debugMessage("current node name from xml is: "
-                        + attributeName, 40);
-                MetaCatUtil.debugMessage("node name from stack: "
-                        + attriNode.getNodeName(), 40);
-                MetaCatUtil.debugMessage("current node data from xml is: "
-                        + attributeValue, 40);
-                MetaCatUtil.debugMessage("node data from stack: "
-                        + attriNode.getNodeData(), 40);
-                MetaCatUtil.debugMessage("node is: " + attriNode.getNodeId(),
-                        40);
+                logMetacat.info("Inconsistence happend: ");
+                logMetacat.info(
+                        "current node type from xml is ATTRIBUTE ");
+                logMetacat.info("node type from stack: "
+                        + attriNode.getNodeType());
+                logMetacat.info("current node name from xml is: "
+                        + attributeName);
+                logMetacat.info("node name from stack: "
+                        + attriNode.getNodeName());
+                logMetacat.info("current node data from xml is: "
+                        + attributeValue);
+                logMetacat.info("node data from stack: "
+                        + attriNode.getNodeData());
+                logMetacat.info("node is: " + attriNode.getNodeId());
                 throw new SAXException(error);
             }
         }//for
@@ -835,35 +831,32 @@
         try {
             node = (NodeRecord) nodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil.debugMessage(
-                    "Node stack is empty for text data in startElement", 35);
+            logMetacat.error(
+                    "Node stack is empty for text data in startElement");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage(
-                "current node type from xml is TEXT in start element", 40);
-        MetaCatUtil.debugMessage("node type from stack: " + node.getNodeType(),
-                40);
-        MetaCatUtil.debugMessage("current node data from xml is: "
-                + text.toString(), 40);
-        MetaCatUtil.debugMessage("node data from stack: " + node.getNodeData(),
-                40);
-        MetaCatUtil.debugMessage("node name from stack: " + node.getNodeName(),
-                40);
-        MetaCatUtil.debugMessage("node is: " + node.getNodeId(), 40);
+        logMetacat.info(
+                "current node type from xml is TEXT in start element");
+        logMetacat.info("node type from stack: " + node.getNodeType());
+        logMetacat.info("current node data from xml is: "
+                + text.toString());
+        logMetacat.info("node data from stack: " + node.getNodeData());
+        logMetacat.info("node name from stack: " + node.getNodeName());
+        logMetacat.info("node is: " + node.getNodeId());
         if (!node.getNodeType().equals("TEXT")
                 || !(text.toString()).equals(node.getNodeData())) {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage(
-                    "current node type from xml is TEXT in start element", 40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + node.getNodeType(), 40);
-            MetaCatUtil.debugMessage("current node data from xml is: "
-                    + text.toString(), 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + node.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + node.getNodeName(), 40);
-            MetaCatUtil.debugMessage("node is: " + node.getNodeId(), 40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info(
+                    "current node type from xml is TEXT in start element");
+            logMetacat.info("node type from stack: "
+                    + node.getNodeType());
+            logMetacat.info("current node data from xml is: "
+                    + text.toString());
+            logMetacat.info("node data from stack: "
+                    + node.getNodeData());
+            logMetacat.info("node name from stack: "
+                    + node.getNodeName());
+            logMetacat.info("node is: " + node.getNodeId());
             throw new SAXException(error);
         }//if
     }
@@ -871,7 +864,7 @@
     /** SAX Handler that is called for each XML text node */
     public void characters(char[] cbuf, int start, int len) throws SAXException
     {
-        MetaCatUtil.debugMessage("CHARACTERS", 50);
+        logMetacat.info("CHARACTERS");
         if (!handleInlineData) {
             // buffer all text nodes for same element. This is for text was
             // splited
@@ -882,11 +875,8 @@
             // if text buffer .size is greater than max, write it to db.
             // so we can save memory
             if (textBuffer.length() > MAXDATACHARS) {
-                MetaCatUtil
-                        .debugMessage(
-                                "Write text into DB in charaters"
-                                        + " when text buffer size is greater than maxmum number",
-                                50);
+                logMetacat.info("Write text into DB in charaters"
+                       + " when text buffer size is greater than maxmum number");
                 DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
                 endNodeId = writeTextForDBSAXNode(endNodeId, textBuffer,
                         currentNode);
@@ -898,9 +888,9 @@
             // we don't need to buffered it.
             StringBuffer inlineText = new StringBuffer();
             inlineText.append(new String(cbuf, start, len));
-            MetaCatUtil.debugMessage(
+            logMetacat.info(
                     "The inline text data write into file system: "
-                            + inlineText.toString(), 50);
+                            + inlineText.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineText);
         }
     }
@@ -909,13 +899,13 @@
     public void endElement(String uri, String localName, String qName)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("End ELEMENT " + qName, 50);
+        logMetacat.info("End ELEMENT " + qName);
 
         if (localName.equals(INLINE) && handleInlineData) {
             // Get the node from the stack
             DBSAXNode currentNode = (DBSAXNode) nodeStack.pop();
             String currentTag = currentNode.getTagName();
-            MetaCatUtil.debugMessage("End of inline data", 35);
+            logMetacat.info("End of inline data");
             // close file writer
             try {
                 inlineDataFileWriter.close();
@@ -934,19 +924,19 @@
                             .pop();
                     // get file name from db
                     String fileName = node.getNodeData();
-                    MetaCatUtil.debugMessage("in handle inline data", 35);
-                    MetaCatUtil.debugMessage(
+                    logMetacat.info("in handle inline data");
+                    logMetacat.info(
                             "the inline data file name from node is: "
-                                    + fileName, 40);
+                                    + fileName);
                     if (!compareInlineDataFiles(fileName, inlineDataFileName)) {
-                        MetaCatUtil.debugMessage(
+                        logMetacat.info(
                                 "inline data was changed by a user"
-                                        + " who doesn't have permission", 30);
+                                        + " who doesn't have permission");
                         throw new SAXException(PERMISSIONERROR);
                     }
                 } catch (EmptyStackException ee) {
-                    MetaCatUtil.debugMessage(
-                            "the stack is empty for text data", 32);
+                    logMetacat.error(
+                            "the stack is empty for text data");
                     throw new SAXException(PERMISSIONERROR);
                 } catch (McdbException eee) {
                     throw new SAXException(eee.getMessage());
@@ -1037,8 +1027,8 @@
                 // write text to db if it is not inline data
                 //if (!localName.equals(INLINE))
                 {
-                    MetaCatUtil.debugMessage(
-                            "Write text into DB in End Element", 50);
+                    logMetacat.info(
+                            "Write text into DB in End Element");
                     //compare text node if need
                     if (startCriticalSubTree) {
                         compareTextNode(currentUnChangedableSubtreeNodeStack,
@@ -1154,9 +1144,9 @@
                 if (needCheckingAccessModule && processTopLeverAccess
                         && !currentUnchangableAccessModuleNodeStack.isEmpty()) {
 
-                    MetaCatUtil.debugMessage(
+                    logMetacat.info(
                             "Access node stack is not empty after "
-                                    + "parsing access subtree", 40);
+                                    + "parsing access subtree");
                     throw new SAXException(UPDATEACCESSERROR);
 
                 }
@@ -1184,8 +1174,8 @@
             endElement.append("</");
             endElement.append(qName);
             endElement.append(">");
-            MetaCatUtil.debugMessage("inline endElement: "
-                    + endElement.toString(), 50);
+            logMetacat.info("inline endElement: "
+                    + endElement.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, endElement);
         }
     }
@@ -1195,7 +1185,7 @@
      */
     public void comment(char[] ch, int start, int length) throws SAXException
     {
-        MetaCatUtil.debugMessage("COMMENT", 50);
+        logMetacat.info("COMMENT");
         if (!handleInlineData) {
             if (!processingDTD) {
                 DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
@@ -1228,8 +1218,8 @@
             inlineComment.append("<!--");
             inlineComment.append(new String(ch, start, length));
             inlineComment.append("-->");
-            MetaCatUtil.debugMessage("inline data comment: "
-                    + inlineComment.toString(), 50);
+            logMetacat.info("inline data comment: "
+                    + inlineComment.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlineComment);
         }
     }
@@ -1242,31 +1232,26 @@
         try {
             node = (NodeRecord) nodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil.debugMessage("the stack is empty for comment data", 32);
+            logMetacat.error("the stack is empty for comment data");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage("current node type from xml is COMMENT", 40);
-        MetaCatUtil.debugMessage("node type from stack: " + node.getNodeType(),
-                40);
-        MetaCatUtil
-                .debugMessage("current node data from xml is: " + string, 40);
-        MetaCatUtil.debugMessage("node data from stack: " + node.getNodeData(),
-                40);
-        MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(), 40);
+        logMetacat.info("current node type from xml is COMMENT");
+        logMetacat.info("node type from stack: " + node.getNodeType());
+        logMetacat.info("current node data from xml is: " + string);
+        logMetacat.info("node data from stack: " + node.getNodeData());
+        logMetacat.info("node is from stack: " + node.getNodeId());
         // if not consistent terminate program and throw a exception
         if (!node.getNodeType().equals("COMMENT")
                 || !string.equals(node.getNodeData())) {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage("current node type from xml is COMMENT",
-                    40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + node.getNodeType(), 40);
-            MetaCatUtil.debugMessage(
-                    "current node data from xml is: " + string, 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + node.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(),
-                    40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info("current node type from xml is COMMENT");
+            logMetacat.info("node type from stack: "
+                    + node.getNodeType());
+            logMetacat.info(
+                    "current node data from xml is: " + string);
+            logMetacat.info("node data from stack: "
+                    + node.getNodeData());
+            logMetacat.info("node is from stack: " + node.getNodeId());
             throw new SAXException(error);
         }//if
     }
@@ -1278,7 +1263,7 @@
     public void processingInstruction(String target, String data)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("PI", 50);
+        logMetacat.info("PI");
         if (!handleInlineData) {
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             endNodeId = currentNode.writeChildNodeToDB("PI", target, data,
@@ -1290,8 +1275,8 @@
             inlinePI.append(" ");
             inlinePI.append(data);
             inlinePI.append("?>");
-            MetaCatUtil.debugMessage("inline data pi is: "
-                    + inlinePI.toString(), 50);
+            logMetacat.info("inline data pi is: "
+                    + inlinePI.toString());
             writeInlineDataIntoFile(inlineDataFileWriter, inlinePI);
         }
     }
@@ -1300,7 +1285,7 @@
     public void startPrefixMapping(String prefix, String uri)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("NAMESPACE", 50);
+        logMetacat.info("NAMESPACE");
         if (!handleInlineData) {
             namespaces.put(prefix, uri);
         } else {
@@ -1318,7 +1303,7 @@
         // When validation is turned "on", white spaces are reported here
         // When validation is turned "off" white spaces are not reported here,
         // but through characters() callback
-        MetaCatUtil.debugMessage("IGNORABLEWHITESPACE", 50);
+        logMetacat.info("IGNORABLEWHITESPACE");
         if (!handleInlineData) {
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             String data = null;
@@ -1381,23 +1366,21 @@
         try {
             node = (NodeRecord) nodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil.debugMessage("the stack is empty for whitespace data",
-                    32);
+            logMetacat.error("the stack is empty for whitespace data");
             throw new SAXException(error);
         }
         if (!node.getNodeType().equals("TEXT")
                 || !string.equals(node.getNodeData())) {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage(
-                    "current node type from xml is WHITESPACE TEXT", 40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + node.getNodeType(), 40);
-            MetaCatUtil.debugMessage(
-                    "current node data from xml is: " + string, 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + node.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(),
-                    40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info(
+                    "current node type from xml is WHITESPACE TEXT");
+            logMetacat.info("node type from stack: "
+                    + node.getNodeType());
+            logMetacat.info(
+                    "current node data from xml is: " + string);
+            logMetacat.info("node data from stack: "
+                    + node.getNodeData());
+            logMetacat.info("node is from stack: " + node.getNodeId());
             throw new SAXException(error);
         }//if
     }
@@ -1405,12 +1388,11 @@
     /** SAX Handler that receives notification of end of the document */
     public void endDocument() throws SAXException
     {
-        MetaCatUtil.debugMessage("end Document", 50);
+        logMetacat.info("end Document");
         // There are some unchangable subtree didn't be compare
         // This maybe cause user change the subtree id
         if (!unChangableSubTreeHash.isEmpty()) {
-            MetaCatUtil.debugMessage("The unChangealbe subtree is not empty",
-                    40);
+            logMetacat.info("The unChangealbe subtree is not empty");
             throw new SAXException(PERMISSIONERROR);
         }
         if (!super.getIsRevisionDoc())
@@ -1478,8 +1460,8 @@
                 // access object
                 String referenceId = accessSectionObj.getReferences();
                 boolean findAccessObject = false;
-                MetaCatUtil.debugMessage("referered id for top access: "
-                        + referenceId, 35);
+                logMetacat.info("referered id for top access: "
+                        + referenceId);
                 for (int i = 0; i < accessObjectList.size(); i++) {
                     AccessSection accessObj = (AccessSection) accessObjectList
                             .elementAt(i);
@@ -1543,8 +1525,8 @@
         }//if
         else {
             // couldn't find a access section object
-            MetaCatUtil.debugMessage(
-                    "couldn't find access control for document: " + docid, 35);
+            logMetacat.info(
+                    "couldn't find access control for document: " + docid);
         }
 
     }//writeTopLevelAccessRuletoDB
@@ -1573,7 +1555,7 @@
     {
         // make sure stack1 and stack2 are not empty
         if (stack1.isEmpty() || stack2.isEmpty()) {
-            MetaCatUtil.debugMessage("Because stack is empty!", 35);
+            logMetacat.info("Because stack is empty!");
             throw new SAXException(UPDATEACCESSERROR);
         }
         // go throw two stacks and compare every element
@@ -1585,16 +1567,15 @@
             try {
                 record2 = (NodeRecord) stack2.pop();
             } catch (EmptyStackException ee) {
-                MetaCatUtil.debugMessage(
-                        "Node stack2 is empty but stack1 isn't!", 35);
+                logMetacat.error(
+                        "Node stack2 is empty but stack1 isn't!");
                 throw new SAXException(UPDATEACCESSERROR);
             }
             // if two records are not same throw a exception
             if (!record1.contentEquals(record2)) {
-                MetaCatUtil
-                        .debugMessage(
+                logMetacat.info(
                                 "Two records from new and old stack are not "
-                                        + "same!", 30);
+                                        + "same!");
                 throw new SAXException(UPDATEACCESSERROR);
             }//if
         }//while
